package br.ufma.lsdi.clientapp.helper;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.ProtocolException;
import java.net.URL;

public class RestRequestHelper {

	public static String sendRequestPostData(String dataString, String urlString) throws Exception {

			System.out.println("\n\nStarting posting data...\n"+urlString);

			URL url = new URL(urlString);//your url i.e fetch data from .
			HttpURLConnection conn = (HttpURLConnection) url.openConnection();
			conn.setDoOutput(true);
			conn.setRequestMethod("POST");
			conn.setRequestProperty("Content-Type", "application/json");

			/* gerando informacoes do post*/
			OutputStream input = conn.getOutputStream();
			input.write(dataString.getBytes());
			input.flush();

			if (conn.getResponseCode() != 200 && conn.getResponseCode() != 201) {
				throw new RuntimeException("Failed : HTTP Error code : "
					+ conn.getResponseCode());
			}

			InputStreamReader in = new InputStreamReader(conn.getInputStream());
			BufferedReader br = new BufferedReader(in);
			String output = "";
			String result= "";
			while ((output = br.readLine()) != null) {
				result=result.concat(output);
			}
			conn.disconnect();

			return result;

	}


	public static String sendRequestGetData(String urlString) throws Exception{
			System.out.println("\n\nStarting sending event data...\n"+urlString);

			URL url = new URL(urlString);//your url i.e fetch data from .
			HttpURLConnection conn = (HttpURLConnection) url.openConnection();
			conn.setRequestMethod("GET");
			conn.setRequestProperty("Content-Type", "application/json");

			if (conn.getResponseCode() != 200 && conn.getResponseCode() != 201) {
				throw new RuntimeException("Failed : HTTP Error code : "
					+ conn.getResponseCode());
			}

			InputStreamReader in = new InputStreamReader(conn.getInputStream());
			BufferedReader br = new BufferedReader(in);
			String output = "";
			String result= "";
			while ((output = br.readLine()) != null) {
				result=result.concat(output);
			}
			conn.disconnect();

			return result;

	}



}
